"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parse = exports.stringify = void 0;
function stringifyReplacer(key, value) {
    return (typeof value === 'bigint') ? `BigInt(${String(value)})` : value;
}
function stringify(object) {
    let string = JSON.stringify(object, stringifyReplacer);
    string = string.replace(/"BigInt\((\d+)\)"/g, '$1');
    return string;
}
exports.stringify = stringify;
function jsonParseReviver(key, value) {
    if (typeof value === 'string' && /^BigInt\(\d+\)$/.test(value)) {
        return BigInt(value.match(/\d+/)[0]);
    }
    return value;
}
function parse(string) {
    string = string.replace(/\:\s*(\d{15}\d+)\s*([,}])/g, ':"BigInt($1)"$2');
    return JSON.parse(string, jsonParseReviver);
}
exports.parse = parse;
